REM Configuration de Gajim au premier lancement

if not exist "%PROGRAMFILES%\Gajim\bin\gajim.exe" (
  if not exist "%PROGRAMFILES(x86)%\Gajim\bin\gajim.exe" goto :EOF
)

if not exist "%APPDATA%\Gajim\Config" (
  mkdir "%APPDATA%\Gajim\"
  GOTO :CONF
)
else (
  type "%APPDATA%\Gajim\Config" | find /I "accounts." | find /V /I ".local." >NUL 2>NUL
  if %errorlevel% NEQ 0 (
    taskkill /F /IM gajim.exe
    GOTO :CONF
  )
  else (
    echo "Gajim est configure"
    goto :EOF
  )
)

:CONF
echo one_message_window = always_with_roster> "%APPDATA%\Gajim\Config"
echo show_roster_on_startup = never>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.autoauth = True>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.name = %USERNAME%>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.hostname = %IPASSERELLE_DOMAIN%>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.sync_with_global_status = True>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.active = True>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.autoconnect = True>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.autoconnect_as = online>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.custom_host = %IPASSERELLE_NAME%.%IPASSERELLE_DOMAIN%>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.send_os_info = False>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.enable_message_carbons = True>> "%APPDATA%\Gajim\Config"
echo accounts.%IPASSERELLE_DOMAIN%.resource = %COMPUTERNAME%>> "%APPDATA%\Gajim\Config"

