%define package gajim
%define version 0.15.4.3
%define release 3

Name:           wpkg-%{package}
Version:        %{version}
Release:        %{release}%{?dist}
Summary:        %{package} for WPKG on iPasserelle

Group:          System/Softwares
URL:            http://www.ipasserelle.com
Source0:        %{name}-%{version}.tar.gz
License:        misc

BuildRoot:      /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  unix2dos

Requires:       ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
cp -a root %{buildroot}/
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.git
/home/e-smith/files/shares/

%changelog
* Mon Jan 27 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.15.4.3-3
- Fix reg delete on removal

* Fri Jan 17 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.15.4.3-2
- Automaticaly startup Gajim
- Use %COMPUTERNAME% as default resource name

* Fri Jan 10 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.15.4.3-1
- Initial release with Gajim 0.15.4-3

